// Garden Gnome Software - Skin
// Pano2VR 4.5.1/10655
// Filename: own_simple1.ggsk
// Generated Wed Jul 9 10:17:23 2014

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="/pano2vr/";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		var hs='translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
		return hs;
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.preloadImages=function() {
		var preLoadImg=new Image();
		preLoadImg.src=basePath + 'images/zoom_in__o.png';
		preLoadImg.src=basePath + 'images/zoom_out__o.png';
		preLoadImg.src=basePath + 'images/auto_rotate__o.png';
		preLoadImg.src=basePath + 'images/fullscreen__o.png';
		preLoadImg.src=basePath + 'images/information__o.png';
		preLoadImg.src=basePath + 'images/hotspots__o.png';
	}
	
	this.addSkin=function() {
		this._loading_image=document.createElement('div');
		this._loading_image.ggId="loading image";
		this._loading_image.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_image.ggVisible=true;
		this._loading_image.className='ggskin ggskin_image';
		this._loading_image.ggType='image';
		this._loading_image.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-112 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(64 + h/2) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -112px;';
		hs+='top:  64px;';
		hs+='width: 224px;';
		hs+='height: 64px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0.5;';
		hs+='visibility: inherit;';
		this._loading_image.setAttribute('style',hs);
		this._loading_image__img=document.createElement('img');
		this._loading_image__img.className='ggskin ggskin_image';
		this._loading_image__img.setAttribute('src',basePath + 'images/loading_image.png');
		this._loading_image__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._loading_image__img.className='ggskin ggskin_image';
		this._loading_image__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._loading_image__img);
		this._loading_image.appendChild(this._loading_image__img);
		this._loading_text=document.createElement('div');
		this._loading_text__text=document.createElement('div');
		this._loading_text.className='ggskin ggskin_textdiv';
		this._loading_text.ggTextDiv=this._loading_text__text;
		this._loading_text.ggId="loading text";
		this._loading_text.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_text.ggVisible=true;
		this._loading_text.className='ggskin ggskin_text';
		this._loading_text.ggType='text';
		hs ='position:absolute;';
		hs+='left: 12px;';
		hs+='top:  14px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._loading_text.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 198px;';
		hs+='height: 20px;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='text-align: left;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._loading_text__text.setAttribute('style',hs);
		this._loading_text.ggUpdateText=function() {
			var hs="<b>Loading... "+(me.player.getPercentLoaded()*100.0).toFixed(0)+"%<\/b>";
			if (hs!=this.ggText) {
				this.ggText=hs;
				this.ggTextDiv.innerHTML=hs;
			}
		}
		this._loading_text.ggUpdateText();
		this._loading_text.appendChild(this._loading_text__text);
		this._loading_image.appendChild(this._loading_text);
		this._loading_bar=document.createElement('div');
		this._loading_bar.ggId="loading bar";
		this._loading_bar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_bar.ggVisible=true;
		this._loading_bar.className='ggskin ggskin_rectangle';
		this._loading_bar.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 11px;';
		hs+='top:  39px;';
		hs+='width: 198px;';
		hs+='height: 10px;';
		hs+=cssPrefix + 'transform-origin: 0% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #4f4f4f;';
		hs+='border: 2px solid #000000;';
		this._loading_bar.setAttribute('style',hs);
		this._loading_image.appendChild(this._loading_bar);
		this._loading_close=document.createElement('div');
		this._loading_close.ggId="loading close";
		this._loading_close.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._loading_close.ggVisible=true;
		this._loading_close.className='ggskin ggskin_image';
		this._loading_close.ggType='image';
		hs ='position:absolute;';
		hs+='left: 200px;';
		hs+='top:  1px;';
		hs+='width: 24px;';
		hs+='height: 24px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._loading_close.setAttribute('style',hs);
		this._loading_close__img=document.createElement('img');
		this._loading_close__img.className='ggskin ggskin_image';
		this._loading_close__img.setAttribute('src',basePath + 'images/loading_close.png');
		this._loading_close__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._loading_close__img.className='ggskin ggskin_image';
		this._loading_close__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._loading_close__img);
		this._loading_close.appendChild(this._loading_close__img);
		this._loading_close.onclick=function () {
			me._loading_image.style[domTransition]='none';
			me._loading_image.style.visibility='hidden';
			me._loading_image.ggVisible=false;
		}
		this._loading_image.appendChild(this._loading_close);
		this.divSkin.appendChild(this._loading_image);
		this._toolbar=document.createElement('div');
		this._toolbar.ggId="toolbar";
		this._toolbar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._toolbar.ggVisible=true;
		this._toolbar.className='ggskin ggskin_container';
		this._toolbar.ggType='container';
		this._toolbar.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-256 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-64 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -256px;';
		hs+='top:  -64px;';
		hs+='width: 512px;';
		hs+='height: 64px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._toolbar.setAttribute('style',hs);
		this._zoom_in=document.createElement('div');
		this._zoom_in.ggId="zoom in";
		this._zoom_in.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom_in.ggVisible=true;
		this._zoom_in.className='ggskin ggskin_button';
		this._zoom_in.ggType='button';
		hs ='position:absolute;';
		hs+='left: 32px;';
		hs+='top:  0px;';
		hs+='width: 64px;';
		hs+='height: 64px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._zoom_in.setAttribute('style',hs);
		this._zoom_in__img=document.createElement('img');
		this._zoom_in__img.className='ggskin ggskin_button';
		this._zoom_in__img.setAttribute('src',basePath + 'images/zoom_in.png');
		this._zoom_in__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._zoom_in__img.className='ggskin ggskin_button';
		this._zoom_in__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._zoom_in__img);
		this._zoom_in.appendChild(this._zoom_in__img);
		this._zoom_in.onmouseover=function () {
			me._zoom_in__img.src=basePath + 'images/zoom_in__o.png';
		}
		this._zoom_in.onmouseout=function () {
			me._zoom_in__img.src=basePath + 'images/zoom_in.png';
			me.elementMouseDown['zoom_in']=false;
		}
		this._zoom_in.onmousedown=function () {
			me.elementMouseDown['zoom_in']=true;
		}
		this._zoom_in.onmouseup=function () {
			me.elementMouseDown['zoom_in']=false;
		}
		this._zoom_in.ontouchend=function () {
			me.elementMouseDown['zoom_in']=false;
		}
		this._toolbar.appendChild(this._zoom_in);
		this._zoom_out=document.createElement('div');
		this._zoom_out.ggId="zoom out";
		this._zoom_out.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom_out.ggVisible=true;
		this._zoom_out.className='ggskin ggskin_button';
		this._zoom_out.ggType='button';
		hs ='position:absolute;';
		hs+='left: 96px;';
		hs+='top:  0px;';
		hs+='width: 64px;';
		hs+='height: 64px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._zoom_out.setAttribute('style',hs);
		this._zoom_out__img=document.createElement('img');
		this._zoom_out__img.className='ggskin ggskin_button';
		this._zoom_out__img.setAttribute('src',basePath + 'images/zoom_out.png');
		this._zoom_out__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._zoom_out__img.className='ggskin ggskin_button';
		this._zoom_out__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._zoom_out__img);
		this._zoom_out.appendChild(this._zoom_out__img);
		this._zoom_out.onmouseover=function () {
			me._zoom_out__img.src=basePath + 'images/zoom_out__o.png';
		}
		this._zoom_out.onmouseout=function () {
			me._zoom_out__img.src=basePath + 'images/zoom_out.png';
			me.elementMouseDown['zoom_out']=false;
		}
		this._zoom_out.onmousedown=function () {
			me.elementMouseDown['zoom_out']=true;
		}
		this._zoom_out.onmouseup=function () {
			me.elementMouseDown['zoom_out']=false;
		}
		this._zoom_out.ontouchend=function () {
			me.elementMouseDown['zoom_out']=false;
		}
		this._toolbar.appendChild(this._zoom_out);
		this._auto_rotate=document.createElement('div');
		this._auto_rotate.ggId="auto rotate";
		this._auto_rotate.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._auto_rotate.ggVisible=true;
		this._auto_rotate.className='ggskin ggskin_button';
		this._auto_rotate.ggType='button';
		hs ='position:absolute;';
		hs+='left: 192px;';
		hs+='top:  0px;';
		hs+='width: 64px;';
		hs+='height: 64px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._auto_rotate.setAttribute('style',hs);
		this._auto_rotate__img=document.createElement('img');
		this._auto_rotate__img.className='ggskin ggskin_button';
		this._auto_rotate__img.setAttribute('src',basePath + 'images/auto_rotate.png');
		this._auto_rotate__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._auto_rotate__img.className='ggskin ggskin_button';
		this._auto_rotate__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._auto_rotate__img);
		this._auto_rotate.appendChild(this._auto_rotate__img);
		this._auto_rotate.onclick=function () {
			me.player.toggleAutorotate();
		}
		this._auto_rotate.onmouseover=function () {
			me._auto_rotate__img.src=basePath + 'images/auto_rotate__o.png';
		}
		this._auto_rotate.onmouseout=function () {
			me._auto_rotate__img.src=basePath + 'images/auto_rotate.png';
		}
		this._toolbar.appendChild(this._auto_rotate);
		this._fullscreen=document.createElement('div');
		this._fullscreen.ggId="fullscreen";
		this._fullscreen.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fullscreen.ggVisible=true;
		this._fullscreen.className='ggskin ggskin_button';
		this._fullscreen.ggType='button';
		hs ='position:absolute;';
		hs+='left: 352px;';
		hs+='top:  0px;';
		hs+='width: 64px;';
		hs+='height: 64px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._fullscreen.setAttribute('style',hs);
		this._fullscreen__img=document.createElement('img');
		this._fullscreen__img.className='ggskin ggskin_button';
		this._fullscreen__img.setAttribute('src',basePath + 'images/fullscreen.png');
		this._fullscreen__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._fullscreen__img.className='ggskin ggskin_button';
		this._fullscreen__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._fullscreen__img);
		this._fullscreen.appendChild(this._fullscreen__img);
		this._fullscreen.onclick=function () {
			me.player.toggleFullscreen();
		}
		this._fullscreen.onmouseover=function () {
			me._fullscreen__img.src=basePath + 'images/fullscreen__o.png';
		}
		this._fullscreen.onmouseout=function () {
			me._fullscreen__img.src=basePath + 'images/fullscreen.png';
		}
		this._toolbar.appendChild(this._fullscreen);
		this._information=document.createElement('div');
		this._information.ggId="information";
		this._information.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._information.ggVisible=true;
		this._information.className='ggskin ggskin_button';
		this._information.ggType='button';
		hs ='position:absolute;';
		hs+='left: 416px;';
		hs+='top:  0px;';
		hs+='width: 64px;';
		hs+='height: 64px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._information.setAttribute('style',hs);
		this._information__img=document.createElement('img');
		this._information__img.className='ggskin ggskin_button';
		this._information__img.setAttribute('src',basePath + 'images/information.png');
		this._information__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._information__img.className='ggskin ggskin_button';
		this._information__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._information__img);
		this._information.appendChild(this._information__img);
		this._information.onclick=function () {
			flag=me._info.ggScaleActive;
			if (me.player.transitionsDisabled) {
				me._info.style[domTransition]='none';
			} else {
				me._info.style[domTransition]='all 500ms ease-out 0ms';
			}
			if (flag) {
				me._info.ggParameter.sx=0;me._info.ggParameter.sy=0;
				me._info.style[domTransform]=parameterToTransform(me._info.ggParameter);
			} else {
				me._info.ggParameter.sx=1;me._info.ggParameter.sy=1;
				me._info.style[domTransform]=parameterToTransform(me._info.ggParameter);
			}
			me._info.ggScaleActive=!flag;
		}
		this._information.onmouseover=function () {
			me._information__img.src=basePath + 'images/information__o.png';
		}
		this._information.onmouseout=function () {
			me._information__img.src=basePath + 'images/information.png';
		}
		this._toolbar.appendChild(this._information);
		this._hotspots=document.createElement('div');
		this._hotspots.ggId="hotspots";
		this._hotspots.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hotspots.ggVisible=true;
		this._hotspots.className='ggskin ggskin_button';
		this._hotspots.ggType='button';
		hs ='position:absolute;';
		hs+='left: 288px;';
		hs+='top:  0px;';
		hs+='width: 64px;';
		hs+='height: 64px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._hotspots.setAttribute('style',hs);
		this._hotspots__img=document.createElement('img');
		this._hotspots__img.className='ggskin ggskin_button';
		this._hotspots__img.setAttribute('src',basePath + 'images/hotspots.png');
		this._hotspots__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._hotspots__img.className='ggskin ggskin_button';
		this._hotspots__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._hotspots__img);
		this._hotspots.appendChild(this._hotspots__img);
		this._hotspots.onclick=function () {
			flag=(me._hsgotobox.style.visibility=='hidden');
			me._hsgotobox.style[domTransition]='none';
			me._hsgotobox.style.visibility=flag?'inherit':'hidden';
			me._hsgotobox.ggVisible=flag;
		}
		this._hotspots.onmouseover=function () {
			me._hotspots__img.src=basePath + 'images/hotspots__o.png';
		}
		this._hotspots.onmouseout=function () {
			me._hotspots__img.src=basePath + 'images/hotspots.png';
		}
		this._toolbar.appendChild(this._hotspots);
		this.divSkin.appendChild(this._toolbar);
		this._hsgotobox=document.createElement('div');
		this._hsgotobox.ggId="hsgotobox";
		this._hsgotobox.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._hsgotobox.ggVisible=true;
		this._hsgotobox.className='ggskin ggskin_container';
		this._hsgotobox.ggType='container';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 128px;';
		hs+='height: 113px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._hsgotobox.setAttribute('style',hs);
		this.divSkin.appendChild(this._hsgotobox);
		this._info=document.createElement('div');
		this._info.ggId="info";
		this._info.ggParameter={ rx:0,ry:0,a:0,sx:0,sy:0 };
		this._info.ggVisible=true;
		this._info.className='ggskin ggskin_container';
		this._info.ggType='container';
		this._info.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-304 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-496 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -304px;';
		hs+='top:  -496px;';
		hs+='width: 608px;';
		hs+='height: 416px;';
		hs+=cssPrefix + 'transform-origin: 50% 100%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._info.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._info.setAttribute('style',hs);
		this._infotxtrect=document.createElement('div');
		this._infotxtrect.ggId="infotxtrect";
		this._infotxtrect.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._infotxtrect.ggVisible=true;
		this._infotxtrect.className='ggskin ggskin_rectangle';
		this._infotxtrect.ggType='rectangle';
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  -16px;';
		hs+='width: 608px;';
		hs+='height: 352px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='background: #202020;';
		hs+='border: 0px solid #ffcc00;';
		hs+='border-radius: 20px;';
		hs+=cssPrefix + 'border-radius: 20px;';
		this._infotxtrect.setAttribute('style',hs);
		this._info.appendChild(this._infotxtrect);
		this._infook=document.createElement('div');
		this._infook__text=document.createElement('div');
		this._infook.className='ggskin ggskin_textdiv';
		this._infook.ggTextDiv=this._infook__text;
		this._infook.ggId="infook";
		this._infook.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._infook.ggVisible=true;
		this._infook.className='ggskin ggskin_text';
		this._infook.ggType='text';
		this._infook.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-32 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-48 + h/2) + 'px';
			}
			this.ggTextDiv.style.left=(0 + (79-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: -32px;';
		hs+='top:  -48px;';
		hs+='width: 67px;';
		hs+='height: 21px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._infook.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='border: 1px solid #ffcc00;';
		hs+='border-radius: 20px;';
		hs+=cssPrefix + 'border-radius: 20px;';
		hs+='color: #ffcc00;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 5px 6px 5px 6px;';
		hs+='overflow: hidden;';
		this._infook__text.setAttribute('style',hs);
		this._infook__text.innerHTML="OK, got it!";
		this._infook.appendChild(this._infook__text);
		this._infook.onclick=function () {
			flag=me._info.ggScaleActive;
			if (me.player.transitionsDisabled) {
				me._info.style[domTransition]='none';
			} else {
				me._info.style[domTransition]='all 500ms ease-out 0ms';
			}
			if (flag) {
				me._info.ggParameter.sx=0;me._info.ggParameter.sy=0;
				me._info.style[domTransform]=parameterToTransform(me._info.ggParameter);
			} else {
				me._info.ggParameter.sx=1;me._info.ggParameter.sy=1;
				me._info.style[domTransform]=parameterToTransform(me._info.ggParameter);
			}
			me._info.ggScaleActive=!flag;
		}
		this._info.appendChild(this._infook);
		this._infotxtdrag=document.createElement('div');
		this._infotxtdrag__text=document.createElement('div');
		this._infotxtdrag.className='ggskin ggskin_textdiv';
		this._infotxtdrag.ggTextDiv=this._infotxtdrag__text;
		this._infotxtdrag.ggId="infotxtdrag";
		this._infotxtdrag.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._infotxtdrag.ggVisible=true;
		this._infotxtdrag.className='ggskin ggskin_text';
		this._infotxtdrag.ggType='text';
		hs ='position:absolute;';
		hs+='left: 176px;';
		hs+='top:  16px;';
		hs+='width: 110px;';
		hs+='height: 160px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._infotxtdrag.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 110px;';
		hs+='height: auto;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: pre-wrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._infotxtdrag__text.setAttribute('style',hs);
		this._infotxtdrag__text.innerHTML="Touch (mouse click) and drag to look around!";
		this._infotxtdrag.appendChild(this._infotxtdrag__text);
		this._info.appendChild(this._infotxtdrag);
		this._drag=document.createElement('div');
		this._drag.ggId="drag";
		this._drag.ggParameter={ rx:0,ry:0,a:0,sx:0.6,sy:0.6 };
		this._drag.ggVisible=true;
		this._drag.className='ggskin ggskin_image';
		this._drag.ggType='image';
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  0px;';
		hs+='width: 256px;';
		hs+='height: 256px;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._drag.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._drag.setAttribute('style',hs);
		this._drag__img=document.createElement('img');
		this._drag__img.className='ggskin ggskin_image';
		this._drag__img.setAttribute('src',basePath + 'images/drag.png');
		this._drag__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._drag__img.className='ggskin ggskin_image';
		this._drag__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._drag__img);
		this._drag.appendChild(this._drag__img);
		this._info.appendChild(this._drag);
		this._infotxtpinch=document.createElement('div');
		this._infotxtpinch__text=document.createElement('div');
		this._infotxtpinch.className='ggskin ggskin_textdiv';
		this._infotxtpinch.ggTextDiv=this._infotxtpinch__text;
		this._infotxtpinch.ggId="infotxtpinch";
		this._infotxtpinch.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._infotxtpinch.ggVisible=true;
		this._infotxtpinch.className='ggskin ggskin_text';
		this._infotxtpinch.ggType='text';
		hs ='position:absolute;';
		hs+='left: 336px;';
		hs+='top:  16px;';
		hs+='width: 110px;';
		hs+='height: 160px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._infotxtpinch.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 110px;';
		hs+='height: auto;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: pre-wrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._infotxtpinch__text.setAttribute('style',hs);
		this._infotxtpinch__text.innerHTML="Pinch (mouse scroll-wheel) to zoom in\/out!";
		this._infotxtpinch.appendChild(this._infotxtpinch__text);
		this._info.appendChild(this._infotxtpinch);
		this._pinch=document.createElement('div');
		this._pinch.ggId="pinch";
		this._pinch.ggParameter={ rx:0,ry:0,a:0,sx:0.6,sy:0.6 };
		this._pinch.ggVisible=true;
		this._pinch.className='ggskin ggskin_image';
		this._pinch.ggType='image';
		hs ='position:absolute;';
		hs+='left: 336px;';
		hs+='top:  0px;';
		hs+='width: 256px;';
		hs+='height: 256px;';
		hs+=cssPrefix + 'transform-origin: 100% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._pinch.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._pinch.setAttribute('style',hs);
		this._pinch__img=document.createElement('img');
		this._pinch__img.className='ggskin ggskin_image';
		this._pinch__img.setAttribute('src',basePath + 'images/pinch.png');
		this._pinch__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._pinch__img.className='ggskin ggskin_image';
		this._pinch__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._pinch__img);
		this._pinch.appendChild(this._pinch__img);
		this._info.appendChild(this._pinch);
		this._infotxttap=document.createElement('div');
		this._infotxttap__text=document.createElement('div');
		this._infotxttap.className='ggskin ggskin_textdiv';
		this._infotxttap.ggTextDiv=this._infotxttap__text;
		this._infotxttap.ggId="infotxttap";
		this._infotxttap.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._infotxttap.ggVisible=true;
		this._infotxttap.className='ggskin ggskin_text';
		this._infotxttap.ggType='text';
		hs ='position:absolute;';
		hs+='left: 176px;';
		hs+='top:  208px;';
		hs+='width: 110px;';
		hs+='height: 128px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._infotxttap.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 110px;';
		hs+='height: auto;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: pre-wrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._infotxttap__text.setAttribute('style',hs);
		this._infotxttap__text.innerHTML="Tap (mouse click) on doors to go there!";
		this._infotxttap.appendChild(this._infotxttap__text);
		this._info.appendChild(this._infotxttap);
		this._doubletap=document.createElement('div');
		this._doubletap.ggId="doubletap";
		this._doubletap.ggParameter={ rx:0,ry:0,a:0,sx:0.6,sy:0.6 };
		this._doubletap.ggVisible=true;
		this._doubletap.className='ggskin ggskin_image';
		this._doubletap.ggType='image';
		hs ='position:absolute;';
		hs+='left: 352px;';
		hs+='top:  64px;';
		hs+='width: 256px;';
		hs+='height: 256px;';
		hs+=cssPrefix + 'transform-origin: 100% 100%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._doubletap.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._doubletap.setAttribute('style',hs);
		this._doubletap__img=document.createElement('img');
		this._doubletap__img.className='ggskin ggskin_image';
		this._doubletap__img.setAttribute('src',basePath + 'images/doubletap.png');
		this._doubletap__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._doubletap__img.className='ggskin ggskin_image';
		this._doubletap__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._doubletap__img);
		this._doubletap.appendChild(this._doubletap__img);
		this._info.appendChild(this._doubletap);
		this._infotxtdoubletap=document.createElement('div');
		this._infotxtdoubletap__text=document.createElement('div');
		this._infotxtdoubletap.className='ggskin ggskin_textdiv';
		this._infotxtdoubletap.ggTextDiv=this._infotxtdoubletap__text;
		this._infotxtdoubletap.ggId="infotxtdoubletap";
		this._infotxtdoubletap.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._infotxtdoubletap.ggVisible=true;
		this._infotxtdoubletap.className='ggskin ggskin_text';
		this._infotxtdoubletap.ggType='text';
		hs ='position:absolute;';
		hs+='left: 336px;';
		hs+='top:  208px;';
		hs+='width: 142px;';
		hs+='height: 128px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._infotxtdoubletap.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 142px;';
		hs+='height: auto;';
		hs+='border: 0px solid #000000;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: pre-wrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._infotxtdoubletap__text.setAttribute('style',hs);
		this._infotxtdoubletap__text.innerHTML="Double-tap (mouse double-click) anywhere for fullscreen!";
		this._infotxtdoubletap.appendChild(this._infotxtdoubletap__text);
		this._info.appendChild(this._infotxtdoubletap);
		this._tap=document.createElement('div');
		this._tap.ggId="tap";
		this._tap.ggParameter={ rx:0,ry:0,a:0,sx:0.6,sy:0.6 };
		this._tap.ggVisible=true;
		this._tap.className='ggskin ggskin_image';
		this._tap.ggType='image';
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  64px;';
		hs+='width: 256px;';
		hs+='height: 256px;';
		hs+=cssPrefix + 'transform-origin: 0% 100%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._tap.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._tap.setAttribute('style',hs);
		this._tap__img=document.createElement('img');
		this._tap__img.className='ggskin ggskin_image';
		this._tap__img.setAttribute('src',basePath + 'images/tap.png');
		this._tap__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
		this._tap__img.className='ggskin ggskin_image';
		this._tap__img['ondragstart']=function() { return false; };
		me.player.checkLoaded.push(this._tap__img);
		this._tap.appendChild(this._tap__img);
		this._info.appendChild(this._tap);
		this._infobuttons=document.createElement('div');
		this._infobuttons.ggId="infobuttons";
		this._infobuttons.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._infobuttons.ggVisible=true;
		this._infobuttons.className='ggskin ggskin_container';
		this._infobuttons.ggType='container';
		hs ='position:absolute;';
		hs+='left: 80px;';
		hs+='top:  336px;';
		hs+='width: 448px;';
		hs+='height: 64px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._infobuttons.setAttribute('style',hs);
		this._infobuttonszoomin=document.createElement('div');
		this._infobuttonszoomin__text=document.createElement('div');
		this._infobuttonszoomin.className='ggskin ggskin_textdiv';
		this._infobuttonszoomin.ggTextDiv=this._infobuttonszoomin__text;
		this._infobuttonszoomin.ggId="infobuttonszoomin";
		this._infobuttonszoomin.ggParameter={ rx:0,ry:0,a:-45,sx:1,sy:1 };
		this._infobuttonszoomin.ggVisible=true;
		this._infobuttonszoomin.className='ggskin ggskin_text';
		this._infobuttonszoomin.ggType='text';
		this._infobuttonszoomin.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-208 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(0 + h/2) + 'px';
			}
			this.ggTextDiv.style.left=(0 + (63-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: -208px;';
		hs+='top:  0px;';
		hs+='width: 59px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._infobuttonszoomin.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._infobuttonszoomin.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='background: #202020;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 2px 3px 2px 3px;';
		hs+='overflow: hidden;';
		this._infobuttonszoomin__text.setAttribute('style',hs);
		this._infobuttonszoomin__text.innerHTML=" Zoom-in ";
		this._infobuttonszoomin.appendChild(this._infobuttonszoomin__text);
		this._infobuttons.appendChild(this._infobuttonszoomin);
		this._infobuttonshelp=document.createElement('div');
		this._infobuttonshelp__text=document.createElement('div');
		this._infobuttonshelp.className='ggskin ggskin_textdiv';
		this._infobuttonshelp.ggTextDiv=this._infobuttonshelp__text;
		this._infobuttonshelp.ggId="infobuttonshelp";
		this._infobuttonshelp.ggParameter={ rx:0,ry:0,a:-45,sx:1,sy:1 };
		this._infobuttonshelp.ggVisible=true;
		this._infobuttonshelp.className='ggskin ggskin_text';
		this._infobuttonshelp.ggType='text';
		this._infobuttonshelp.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(176 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(0 + h/2) + 'px';
			}
			this.ggTextDiv.style.left=(0 + (63-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 176px;';
		hs+='top:  0px;';
		hs+='width: 59px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._infobuttonshelp.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._infobuttonshelp.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='background: #202020;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 2px 3px 2px 3px;';
		hs+='overflow: hidden;';
		this._infobuttonshelp__text.setAttribute('style',hs);
		this._infobuttonshelp__text.innerHTML=" Help ";
		this._infobuttonshelp.appendChild(this._infobuttonshelp__text);
		this._infobuttons.appendChild(this._infobuttonshelp);
		this._infobuttonsfullscreen=document.createElement('div');
		this._infobuttonsfullscreen__text=document.createElement('div');
		this._infobuttonsfullscreen.className='ggskin ggskin_textdiv';
		this._infobuttonsfullscreen.ggTextDiv=this._infobuttonsfullscreen__text;
		this._infobuttonsfullscreen.ggId="infobuttonsfullscreen";
		this._infobuttonsfullscreen.ggParameter={ rx:0,ry:0,a:-45,sx:1,sy:1 };
		this._infobuttonsfullscreen.ggVisible=true;
		this._infobuttonsfullscreen.className='ggskin ggskin_text';
		this._infobuttonsfullscreen.ggType='text';
		this._infobuttonsfullscreen.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(112 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(0 + h/2) + 'px';
			}
			this.ggTextDiv.style.left=(0 + (63-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 112px;';
		hs+='top:  0px;';
		hs+='width: 59px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._infobuttonsfullscreen.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._infobuttonsfullscreen.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='background: #202020;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 2px 3px 2px 3px;';
		hs+='overflow: hidden;';
		this._infobuttonsfullscreen__text.setAttribute('style',hs);
		this._infobuttonsfullscreen__text.innerHTML=" Fullscreen ";
		this._infobuttonsfullscreen.appendChild(this._infobuttonsfullscreen__text);
		this._infobuttons.appendChild(this._infobuttonsfullscreen);
		this._infobuttonshotspots=document.createElement('div');
		this._infobuttonshotspots__text=document.createElement('div');
		this._infobuttonshotspots.className='ggskin ggskin_textdiv';
		this._infobuttonshotspots.ggTextDiv=this._infobuttonshotspots__text;
		this._infobuttonshotspots.ggId="infobuttonshotspots";
		this._infobuttonshotspots.ggParameter={ rx:0,ry:0,a:-45,sx:1,sy:1 };
		this._infobuttonshotspots.ggVisible=true;
		this._infobuttonshotspots.className='ggskin ggskin_text';
		this._infobuttonshotspots.ggType='text';
		this._infobuttonshotspots.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(48 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(0 + h/2) + 'px';
			}
			this.ggTextDiv.style.left=(0 + (63-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: 48px;';
		hs+='top:  0px;';
		hs+='width: 59px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._infobuttonshotspots.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._infobuttonshotspots.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='background: #202020;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 2px 3px 2px 3px;';
		hs+='overflow: hidden;';
		this._infobuttonshotspots__text.setAttribute('style',hs);
		this._infobuttonshotspots__text.innerHTML=" Hotspots ";
		this._infobuttonshotspots.appendChild(this._infobuttonshotspots__text);
		this._infobuttons.appendChild(this._infobuttonshotspots);
		this._infobuttonsautorotate=document.createElement('div');
		this._infobuttonsautorotate__text=document.createElement('div');
		this._infobuttonsautorotate.className='ggskin ggskin_textdiv';
		this._infobuttonsautorotate.ggTextDiv=this._infobuttonsautorotate__text;
		this._infobuttonsautorotate.ggId="infobuttonsautorotate";
		this._infobuttonsautorotate.ggParameter={ rx:0,ry:0,a:-45,sx:1,sy:1 };
		this._infobuttonsautorotate.ggVisible=true;
		this._infobuttonsautorotate.className='ggskin ggskin_text';
		this._infobuttonsautorotate.ggType='text';
		this._infobuttonsautorotate.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-48 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(0 + h/2) + 'px';
			}
			this.ggTextDiv.style.left=(0 + (63-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: -48px;';
		hs+='top:  0px;';
		hs+='width: 59px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._infobuttonsautorotate.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._infobuttonsautorotate.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='background: #202020;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 2px 3px 2px 3px;';
		hs+='overflow: hidden;';
		this._infobuttonsautorotate__text.setAttribute('style',hs);
		this._infobuttonsautorotate__text.innerHTML=" Auto-rotate ";
		this._infobuttonsautorotate.appendChild(this._infobuttonsautorotate__text);
		this._infobuttons.appendChild(this._infobuttonsautorotate);
		this._infobuttonszoomout=document.createElement('div');
		this._infobuttonszoomout__text=document.createElement('div');
		this._infobuttonszoomout.className='ggskin ggskin_textdiv';
		this._infobuttonszoomout.ggTextDiv=this._infobuttonszoomout__text;
		this._infobuttonszoomout.ggId="infobuttonszoomout";
		this._infobuttonszoomout.ggParameter={ rx:0,ry:0,a:-45,sx:1,sy:1 };
		this._infobuttonszoomout.ggVisible=true;
		this._infobuttonszoomout.className='ggskin ggskin_text';
		this._infobuttonszoomout.ggType='text';
		this._infobuttonszoomout.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-144 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(0 + h/2) + 'px';
			}
			this.ggTextDiv.style.left=(0 + (63-this.ggTextDiv.offsetWidth)/2) + 'px';
		}
		hs ='position:absolute;';
		hs+='left: -144px;';
		hs+='top:  0px;';
		hs+='width: 59px;';
		hs+='height: 29px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._infobuttonszoomout.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._infobuttonszoomout.setAttribute('style',hs);
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: auto;';
		hs+='height: auto;';
		hs+='background: #202020;';
		hs+='border: 0px solid #000000;';
		hs+='border-radius: 10px;';
		hs+=cssPrefix + 'border-radius: 10px;';
		hs+='color: #ffffff;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='padding: 2px 3px 2px 3px;';
		hs+='overflow: hidden;';
		this._infobuttonszoomout__text.setAttribute('style',hs);
		this._infobuttonszoomout__text.innerHTML=" Zoom-out ";
		this._infobuttonszoomout.appendChild(this._infobuttonszoomout__text);
		this._infobuttons.appendChild(this._infobuttonszoomout);
		this._info.appendChild(this._infobuttons);
		this.divSkin.appendChild(this._info);
		this.preloadImages();
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
			me._loading_image.style[domTransition]='none';
			me._loading_image.style.visibility='hidden';
			me._loading_image.ggVisible=false;
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggLoadedLevels=function() {
		}
		this.divSkin.ggReLoadedLevels=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if ((nodeMarker[i].ggMarkerNodeId==id) && (id!='')) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		this._loading_text.ggUpdateText();
		var hs='';
		if (me._loading_bar.ggParameter) {
			hs+=parameterToTransform(me._loading_bar.ggParameter) + ' ';
		}
		hs+='scale(' + (1 * me.player.getPercentLoaded() + 0) + ',1.0) ';
		me._loading_bar.style[domTransform]=hs;
		if (me.elementMouseDown['zoom_in']) {
			me.player.changeFovLog(-1,true);
		}
		if (me.elementMouseDown['zoom_out']) {
			me.player.changeFovLog(1,true);
		}
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId="hsgoto";
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:2,sy:2 };
			this.__div.ggVisible=true;
			this.__div.className='ggskin ggskin_hotspot';
			this.__div.ggType='hotspot';
			hs ='position:absolute;';
			hs+='left: 59px;';
			hs+='top:  61px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+=cssPrefix + 'transform: ' + parameterToTransform(this.__div.ggParameter) + ';';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.player.openUrl(me.hotspot.url,me.hotspot.target);
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._gotoimg=document.createElement('div');
			this._gotoimg.ggId="gotoimg";
			this._gotoimg.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._gotoimg.ggVisible=true;
			this._gotoimg.className='ggskin ggskin_external';
			this._gotoimg.ggType='external';
			this._gotoimg.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				if (this.parentNode) {
					w=this.parentNode.offsetWidth;
					this.style.left=(-61 + w/2) + 'px';
					h=this.parentNode.offsetHeight;
					this.style.top=(-63 + h/2) + 'px';
				}
			}
			hs ='position:absolute;';
			hs+='left: -61px;';
			hs+='top:  -63px;';
			hs+='width: 128px;';
			hs+='height: 112px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='opacity: 0.5;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._gotoimg.setAttribute('style',hs);
			this._gotoimg__img=document.createElement('img');
			this._gotoimg__img.className='ggskin ggskin_external';
			this._gotoimg__img.setAttribute('src',basePath + 'images/goto.gif');
			this._gotoimg__img.setAttribute('style','position: absolute;top: 0px;left: 0px;-webkit-user-drag:none;');
			this._gotoimg__img['ondragstart']=function() { return false; };
			me.player.checkLoaded.push(this._gotoimg__img);
			this._gotoimg.appendChild(this._gotoimg__img);
			this.__div.appendChild(this._gotoimg);
			this._gototxt=document.createElement('div');
			this._gototxt__text=document.createElement('div');
			this._gototxt.className='ggskin ggskin_textdiv';
			this._gototxt.ggTextDiv=this._gototxt__text;
			this._gototxt.ggId="gototxt";
			this._gototxt.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._gototxt.ggVisible=true;
			this._gototxt.className='ggskin ggskin_text';
			this._gototxt.ggType='text';
			this._gototxt.ggUpdatePosition=function() {
				this.style[domTransition]='none';
				if (this.parentNode) {
					w=this.parentNode.offsetWidth;
					this.style.left=(-41 + w/2) + 'px';
					h=this.parentNode.offsetHeight;
					this.style.top=(-18 + h/2) + 'px';
				}
			}
			hs ='position:absolute;';
			hs+='left: -41px;';
			hs+='top:  -18px;';
			hs+='width: 83px;';
			hs+='height: 48px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='opacity: 0.75;';
			hs+='visibility: inherit;';
			hs+='cursor: pointer;';
			this._gototxt.setAttribute('style',hs);
			hs ='position:absolute;';
			hs+='left: 0px;';
			hs+='top:  0px;';
			hs+='width: 83px;';
			hs+='height: auto;';
			hs+='background: #242424;';
			hs+='border: 0px solid #ffcc00;';
			hs+='border-radius: 10px;';
			hs+=cssPrefix + 'border-radius: 10px;';
			hs+='color: #ffcc00;';
			hs+='text-align: center;';
			hs+='white-space: pre-wrap;';
			hs+='padding: 2px 3px 2px 3px;';
			hs+='overflow: hidden;';
			this._gototxt__text.setAttribute('style',hs);
			this._gototxt__text.innerHTML=me.hotspot.title;
			this._gototxt.appendChild(this._gototxt__text);
			this.__div.appendChild(this._gototxt);
			this.ggUse3d=true;
			this.gg3dDistance=500;
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};